diff --git a/buildscript b/buildscript
old mode 100755
new mode 100644
index 06f88c3..8fcef53
--- a/buildscript
+++ b/buildscript
@@ -31,13 +31,13 @@ OPENWRT_PKGS="gpioctl-sysfs libugpio fastd haserl"
 GLUON=(gluon
             https://github.com/freifunk-gluon/packages.git
             a18c69094c534bb7359d9c95c7b88ac047712574)
-GLUON_PKGS="kmod-batman-adv-legacy micrond simple-tc uradvd"
+GLUON_PKGS="micrond simple-tc uradvd"
 
 #official openwrt routing packages
 ROUTING=(routing
          https://github.com/openwrt-routing/packages.git
          dd36dd47bbd75defcb3c517cafe7a19ee425f0af) # lede-17.01
-ROUTING_PKGS="alfred"
+ROUTING_PKGS="kmod-batman-adv alfred"
 
 FFF=(fff)
 FFF_PKGS="-a"
@@ -510,3 +510,4 @@ case "$1" in
         echo
     ;;
 esac
+
diff --git a/src/packages/fff/fff-batman-adv-legacy/Makefile b/src/packages/fff/fff-batman-adv-legacy/Makefile
deleted file mode 100644
index 48b9e50..0000000
--- a/src/packages/fff/fff-batman-adv-legacy/Makefile
+++ /dev/null
@@ -1,44 +0,0 @@
-include $(TOPDIR)/rules.mk
-
-PKG_NAME:=fff-batman-adv-legacy
-PKG_VERSION:=1
-PKG_RELEASE:=1
-
-PKG_BUILD_DIR:=$(BUILD_DIR)/fff-batman-adv-legacy
-
-include $(INCLUDE_DIR)/package.mk
-
-define Package/fff-batman-adv-legacy
-    SECTION:=base
-    CATEGORY:=Freifunk
-    TITLE:=Freifunk-Franken batman-adv-legacy
-    URL:=http://www.freifunk-franken.de
-    DEPENDS:=+@PACKAGE_kmod-batman-adv-legacy \
-             +@KMOD_BATMAN_ADV_LEGACY_BLA \
-             +@KMOD_BATMAN_ADV_LEGACY_DAT \
-             +@KMOD_BATMAN_ADV_LEGACY_NC \
-             +@KMOD_BATMAN_ADV_LEGACY_BATCTL
-endef
-
-define Package/fff-batman-adv-legacy/description
-    This is the batman-adv-legacy for the Freifunk Franken Firmware
-    It is used to configure batman-adv-legacy.
-endef
-
-define Build/Prepare
-	echo "all: " > $(PKG_BUILD_DIR)/Makefile
-endef
-
-define Build/Configure
-	# nothing
-endef
-
-define Build/Compile
-	# nothing
-endef
-
-define Package/fff-batman-adv-legacy/install
-	$(CP) ./files/* $(1)/
-endef
-
-$(eval $(call BuildPackage,fff-batman-adv-legacy))
diff --git a/src/packages/fff/fff-batman-adv-legacy/files/etc/uci-defaults/93-fff-batman-adv b/src/packages/fff/fff-batman-adv-legacy/files/etc/uci-defaults/93-fff-batman-adv
deleted file mode 100644
index 9bc3928..0000000
--- a/src/packages/fff/fff-batman-adv-legacy/files/etc/uci-defaults/93-fff-batman-adv
+++ /dev/null
@@ -1,22 +0,0 @@
-#!/bin/sh
-
-uci batch <<EOF
-  delete batman-adv.bat0
-  set batman-adv.bat0=mesh
-  set batman-adv.bat0.gw_mode='client'
-  set batman-adv.bat0.gw_sel_class='1'
-  set batman-adv.bat0.bridge_loop_avoidance='0'
-  set batman-adv.bat0.network_coding='0'
-  set batman-adv.bat0.aggregated_ogms='1'
-  set batman-adv.bat0.ap_isolation='0'
-  set batman-adv.bat0.bonding='0'
-  set batman-adv.bat0.fragmentation='1'
-  set batman-adv.bat0.orig_interval='1000'
-  set batman-adv.bat0.vis_mode='0'
-  set batman-adv.bat0.distributed_arp_table='1'
-  set batman-adv.bat0.hop_penalty='30'
-EOF
-
-uci commit
-
-exit 0
diff --git a/src/packages/fff/fff-batman-adv-legacy/files/usr/lib/micron.d/fff-batman-adv-legacy b/src/packages/fff/fff-batman-adv-legacy/files/usr/lib/micron.d/fff-batman-adv-legacy
deleted file mode 100644
index 21c857b..0000000
--- a/src/packages/fff/fff-batman-adv-legacy/files/usr/lib/micron.d/fff-batman-adv-legacy
+++ /dev/null
@@ -1 +0,0 @@
-*/1 * * * * /usr/sbin/batctl gw off; sleep 1; /usr/sbin/batctl gw client
diff --git a/src/packages/fff/fff-batman-adv/Makefile b/src/packages/fff/fff-batman-adv/Makefile
new file mode 100644
index 0000000..3598097
--- /dev/null
+++ b/src/packages/fff/fff-batman-adv/Makefile
@@ -0,0 +1,43 @@
+include $(TOPDIR)/rules.mk
+
+PKG_NAME:=fff-batman-adv
+PKG_VERSION:=1
+PKG_RELEASE:=1
+
+PKG_BUILD_DIR:=$(BUILD_DIR)/fff-batman-adv
+
+include $(INCLUDE_DIR)/package.mk
+
+define Package/fff-batman-adv
+    SECTION:=base
+    CATEGORY:=Freifunk
+    TITLE:=Freifunk-Franken batman-adv
+    URL:=http://www.freifunk-franken.de
+    DEPENDS:=+kmod-batman-adv \
+             +@KMOD_BATMAN_ADV_BATMAN_V \
+             +@KMOD_BATMAN_ADV_NC \
+             +batctl
+endef
+
+define Package/fff-batman-adv/description
+    This is the batman-adv for the Freifunk Franken Firmware
+    It is used to configure batman-adv.
+endef
+
+define Build/Prepare
+	echo "all: " > $(PKG_BUILD_DIR)/Makefile
+endef
+
+define Build/Configure
+	# nothing
+endef
+
+define Build/Compile
+	# nothing
+endef
+
+define Package/fff-batman-adv/install
+	$(CP) ./files/* $(1)/
+endef
+
+$(eval $(call BuildPackage,fff-batman-adv))
diff --git a/src/packages/fff/fff-batman-adv/files/etc/uci-defaults/93-fff-batman-adv b/src/packages/fff/fff-batman-adv/files/etc/uci-defaults/93-fff-batman-adv
new file mode 100644
index 0000000..9bc3928
--- /dev/null
+++ b/src/packages/fff/fff-batman-adv/files/etc/uci-defaults/93-fff-batman-adv
@@ -0,0 +1,22 @@
+#!/bin/sh
+
+uci batch <<EOF
+  delete batman-adv.bat0
+  set batman-adv.bat0=mesh
+  set batman-adv.bat0.gw_mode='client'
+  set batman-adv.bat0.gw_sel_class='1'
+  set batman-adv.bat0.bridge_loop_avoidance='0'
+  set batman-adv.bat0.network_coding='0'
+  set batman-adv.bat0.aggregated_ogms='1'
+  set batman-adv.bat0.ap_isolation='0'
+  set batman-adv.bat0.bonding='0'
+  set batman-adv.bat0.fragmentation='1'
+  set batman-adv.bat0.orig_interval='1000'
+  set batman-adv.bat0.vis_mode='0'
+  set batman-adv.bat0.distributed_arp_table='1'
+  set batman-adv.bat0.hop_penalty='30'
+EOF
+
+uci commit
+
+exit 0
diff --git a/src/packages/fff/fff-batman-adv/files/usr/lib/micron.d/fff-batman-adv b/src/packages/fff/fff-batman-adv/files/usr/lib/micron.d/fff-batman-adv
new file mode 100644
index 0000000..21c857b
--- /dev/null
+++ b/src/packages/fff/fff-batman-adv/files/usr/lib/micron.d/fff-batman-adv
@@ -0,0 +1 @@
+*/1 * * * * /usr/sbin/batctl gw off; sleep 1; /usr/sbin/batctl gw client
diff --git a/src/packages/fff/fff/Makefile b/src/packages/fff/fff/Makefile
index b039c2d..1889818 100644
--- a/src/packages/fff/fff/Makefile
+++ b/src/packages/fff/fff/Makefile
@@ -21,7 +21,7 @@ define Package/fff-base
              +fff-nodewatcher \
              +fff-web \
              +fff-uradvd \
-             +fff-batman-adv-legacy \
+             +fff-batman-adv \
              +fff-firewall \
              +fff-support \
              +fff-network \
